/***************************************************************
 * Name:      spincontrol.h
 * Purpose:   Defines Dialog spinControl
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-07
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef SPINCONTROL_H
#define SPINCONTROL_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/sizer.h>
#include <wx/spinctrl.h>

class datos
{
    public:
        datos(int e, int h, double d) : entero(e), hexadecimal(h), doble(d) {}

    //private:
        int entero;
        int hexadecimal;
        double doble;
};

class spinControl : public wxDialog
{
    public:
        spinControl(wxWindow *wnd, datos &datos);
        virtual ~spinControl();

    protected:
        enum
        {
            idSpinCtrl = 1000,
            idSpinCtrlDouble
        };
        datos& data;
        wxSpinCtrl* m_spinCtrl;
        wxSpinCtrl* m_spinCtrlHexadecimal;
        wxSpinCtrlDouble* m_spinCtrlDouble;

    private:
        void OnClose(wxCloseEvent& event);
        void OnOk(wxCommandEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // SPINCONTROL_H
